import 'dotenv/config';
import type { ConfigContext, ExpoConfig } from 'expo/config';
import { env } from 'process';

export default ({ config }: ConfigContext): ExpoConfig => ({
  ...config,
  name: 'nomadmania-app',
  slug: 'nomadmania-app',
  version: '1.0.0',
  orientation: 'portrait',
  icon: './assets/icon.png',
  userInterfaceStyle: 'light',
  plugins: [
    [
      'expo-image-picker',
      {
        photosPermission: 'The app accesses your photos to let you share them with your friends.',
        cameraPermission: 'The app accesses your photos to let you share them with your friends.'
      }
    ]
  ],
  extra: {
    API_HOST: env.API_HOST
  },
  splash: {
    image: './assets/splash.png',
    resizeMode: 'contain',
    backgroundColor: '#ffffff'
  },
  assetBundlePatterns: ['**/*'],
  ios: {
    supportsTablet: true
  },
  android: {
    adaptiveIcon: {
      foregroundImage: './assets/adaptive-icon.png',
      backgroundColor: '#ffffff'
    }
  },
  web: {
    favicon: './assets/favicon.png'
  }
});
