import React, { FC, useState } from 'react';
import { View } from 'react-native';

import { Input } from '../../Input';
import { Modal } from '../../Modal';
import SpinnerDatePicker from '../SpinnerDatePicker';
import { Button } from '../../Button';

type Props = {
  selectedDate?: (date: Date) => void;
  formikError?: string | boolean;
};

//TODO: waiting for redesign in figma + input fixes

export const InputDatePicker: FC<Props> = ({ selectedDate, formikError }) => {
  const [visible, setVisible] = useState(false);
  const [spinnerSelectedDate, setSpinnerSelectedDate] = useState<Date>(new Date());

  const onButtonPress = () => {
    setVisible(false);
    if (selectedDate) {
      selectedDate(spinnerSelectedDate);
    }
  };

  return (
    <View>
      <Input
        header={'Date of birth'}
        value={new Date(spinnerSelectedDate).toLocaleDateString()}
        isFocused={(b) => setVisible(b)}
        inputMode={'none'}
        placeholder={'Choose a birth date'}
        formikError={formikError}
      />
      <Modal
        visibleInPercent={'50%'}
        onRequestClose={() => setVisible(false)}
        headerTitle={'Select Region of Origin'}
        visible={visible}
      >
        <SpinnerDatePicker selectedDate={(date) => setSpinnerSelectedDate(date)} />
        <Button onPress={onButtonPress}>Done</Button>
      </Modal>
    </View>
  );
};
