import React from 'react';
import { View } from 'react-native';

import { styles } from './style';
import LeftArrow from '../../../../../assets/icons/left-arrow.svg';
import RightArrow from '../../../../../assets/icons/right-arrow.svg';

const Navigation = React.memo(({ direction }: { direction: 'prev' | 'next' }) => {
  return (
    <View style={[styles.navigationBtn, direction === 'prev' ? styles.prevComponent : styles.nextComponent]}>
      {direction === 'prev' ? <LeftArrow /> : <RightArrow />}
    </View>
  );
});

export default Navigation;
