import React from 'react';
import { Image, Text, TouchableOpacity, View } from 'react-native';
import { Colors } from '../../theme';
import { styles } from './styles';

import MarkSVG from '../../../assets/icons/mark.svg';

//TODO: waiting for API images + split name for title and description of region

export const Item = ({ item, onPress, backgroundColor, selected }: ItemProps) => (
  <TouchableOpacity onPress={onPress} style={[styles.item, { backgroundColor }]}>
    <View style={{ display: 'flex', flexDirection: 'row', alignItems: 'center', gap: 10 }}>
      <Image
        width={48}
        height={48}
        style={{ borderRadius: 48 / 2 }}
        source={{
          uri: 'file:///var/mobile/Containers/Data/Application/B7AB06B4-BE07-4161-A992-EFE45C948D82/Library/Caches/ExponentExperienceData/%2540anonymous%252Fnomadmania-app-3e93ece1-6230-4d9d-aad1-f0bff67932b5/ImagePicker/2ADA6086-B98C-4260-B2C2-B376DE410785.jpg'
        }}
      />
      <View>
        <Text style={[styles.title, { color: Colors.DARK_BLUE }]}>{item.title}</Text>
        <Text style={[styles.text, { color: Colors.DARK_BLUE }]}>{item.title}</Text>
      </View>
    </View>
    <View style={{ marginRight: 10 }}>{selected && <MarkSVG />}</View>
  </TouchableOpacity>
);

export type ItemData = {
  id: string;
  title: string;
};

type ItemProps = {
  item: ItemData;
  onPress: () => void;
  backgroundColor: string;
  selected: boolean;
};
