import React, { FC, useState } from 'react';
import { View } from 'react-native';

import { Input } from '../../Input';
import { Modal } from '../../Modal';
import { FlatList } from '../index';

type Props = {
  selectedObject?: (object: any) => void;
  headerTitle: string;
};

//TODO: rework to generic types

export const ModalFlatList: FC<Props> = ({ selectedObject, headerTitle }) => {
  const [visible, setVisible] = useState(false);
  const [selectedFlatListObject, setSelectedFlatListObject] = useState<{ title?: string }>({});

  const onSelect = (object: { title: string }) => {
    setVisible(false);
    if (selectedObject) {
      selectedObject(object);
      setSelectedFlatListObject(object);
    }
  };

  return (
    <View>
      <Input
        header={headerTitle}
        isFocused={(b) => setVisible(b)}
        value={selectedFlatListObject?.title}
        inputMode={'none'}
      />
      <Modal
        onRequestClose={() => setVisible(false)}
        headerTitle={'Select Region of Origin'}
        visible={visible}
      >
        <FlatList itemObject={(object) => onSelect(object)} />
      </Modal>
    </View>
  );
};
