import { useMutation } from '@tanstack/react-query';
import { authApi, PostLoginUserReturn } from '../auth-api';
import { BaseAxiosError } from '../../../../types';
import { authQueryKeys } from '../auth-query-keys';

type LoginTypes = {
  login: string;
  pass: string;
};

export const useLoginMutation = () => {
  return useMutation<PostLoginUserReturn, BaseAxiosError, LoginTypes, PostLoginUserReturn>({
    mutationKey: authQueryKeys.loginUser(),
    mutationFn: async (data) => {
      const response = await authApi.loginUser(data);
      return response.data;
    }
  });
};
