import { useQuery } from '@tanstack/react-query';
import { userApi, PostGetProfileData } from '../user-api';
import { BaseAxiosError } from '../../../../types';
import { userQueryKeys } from '../user-query-keys';

export const usePostGetProfileQuery = (token: string, enabled: boolean) => {
  return useQuery<PostGetProfileData, BaseAxiosError>({
    queryKey: userQueryKeys.getProfileData(),
    queryFn: async () => {
      const response = await userApi.getProfileData(token);
      return response.data;
    },
    enabled
  });
};
