import { useMutation } from '@tanstack/react-query';
import { userApi, PostSetProfileDataReturn, PostSetProfileData } from '../user-api';
import { BaseAxiosError } from '../../../../types';
import { userQueryKeys } from '../user-query-keys';

export const usePostSetProfileMutation = () => {
  return useMutation<
    PostSetProfileDataReturn,
    BaseAxiosError,
    PostSetProfileData,
    PostSetProfileDataReturn
  >({
    mutationKey: userQueryKeys.setProfileData(),
    mutationFn: async (data) => {
      const response = await userApi.setProfileData(data);
      return response.data;
    }
  });
};
