import { request } from '../../../utils';
import { API } from '../../../types';

export interface SeriesResponse  {
  result: 'OK' | 'ERROR';
  result_description?: string;
  series: { id: number; name: string; icon: string }[];
  items: {
    id: number;
    series_id: number;
    name: string;
    region: number;
    pointJSON: any;
    polygonJSON: string;
    visited?: 0 | 1;
  }[];
}

export const seriesApi = {
  getSeries: (token: string | null, regions: string) => 
  request.postForm<SeriesResponse>(API.SERIES, { token, regions })
};

