import { View, Text } from 'react-native';
import { Marker } from 'react-native-maps';
import { styles } from './styles';

const ClusterItem = ({ clusterId, data }: { clusterId: string, data: { center: number[], size: number } }) => {
  return (
    <Marker
      coordinate={{ latitude: data.center[1], longitude: data.center[0] }}
    >
      <View style={styles.clusterContainer}>
        <Text style={styles.text}>{data.size}</Text>
      </View>
    </Marker>
  );
};

export default ClusterItem;
