import { View, Image } from 'react-native';
import { Marker } from 'react-native-maps';
import { styles } from './styles';
import { MarkerData } from '../../../../types/map';

const MarkerItem = ({ marker, iconUrl }: { marker: MarkerData, iconUrl: string }) => {
  return (
    <Marker
      coordinate={{ latitude: marker.geometry.coordinates[1], longitude: marker.geometry.coordinates[0] }}
      title={marker.properties.name}
      tracksViewChanges={false}
    >
      <View style={styles.markerContainer}>
        <Image
          source={{ uri: iconUrl }}
          style={styles.icon}
          resizeMode="contain"
        />
      </View>
    </Marker>
  );
};

export default MarkerItem;
