import { BottomTabNavigationProp } from "@react-navigation/bottom-tabs";
import { Feature } from '@turf/turf';

export interface Region {
  id: number;
  name: string;
  region_photos: string;
  visitors_count: number;
}

export interface MapScreenProps {
  navigation: BottomTabNavigationProp<any>;
}

export interface Series {
  id: number;
  name: string;
  icon: string;
}

export interface ItemSeries {
  id: number;
  name: string;
  pointJSON: any;
  polygonJSON: string;
  region: number;
  series_id: number;
  visited?: 0 | 1;
}

export interface MarkerData {
  properties: {
    dbscan?: string;
    cluster?: number,
    id: number;
    series_id: number;
    name: string;
    pointJSON: any;
    polygonJSON: string;
    region: number;
    visited?: 0 | 1;
  };
  geometry: {
    coordinates: [number, number];
    type: string;
  };
  type: string;
  }
  
  export interface ClusterData {
    [key: string]: { center: number[], size: number }
  }

  export type FeatureCollection = {
    type: "FeatureCollection";
    features: Feature[];
  };

  export interface RegionData {
    type?: string;
    name?: string;
    crs?: {
      type: string;
      properties: { name: string; };
    };
    features?: any;
  }  
